Autoria = {}
Autoria.__index = Autoria

function Autoria.new(artigo,autor,contato)
	local autoria = {}
	setmetatable(autoria,Autoria)

	autoria.artigo = artigo
	autoria.autor = autor
	autoria.contato = contato

	if getmetatable(artigo) ~= Artigo or getmetatable(autor) ~= Autor then
		error("\nArgumento Artigo ou Autor fornecido é inválido\n")
	end

	artigo:addAutoria(autoria)
	autor:addAutoria(autoria)

	--return autoria
end


function Autoria:isContato()
	return self.contato
end

function Autoria:getArtigo()
	return self.artigo
end

function Autoria:getAutor()
	return self.autor
end
