Edicao = {}
Edicao.__index = Edicao

function Edicao.new(tema,editorChefe,volume,numero,dataPubl)
	local edicao = {}
	setmetatable(edicao,Edicao)

	edicao.tema = tema
	edicao.editorChefe = editorChefe
	edicao.volume = volume
	edicao.numero = numero
	edicao.artigos = {}
	edicao.dataPubl = dataPubl
	
	if editorChefe ~= nil then
		editorChefe:addEdicaoChefiada(edicao)
	end

	return edicao
end

function Edicao:getEditorChefe()
	return self.editorChefe
end

function Edicao:getTema()
	return self.tema
end

function Edicao:getVolume()
	return self.volume
end

function Edicao:getNumero()
	return self.numero
end

function Edicao:getArtigos()
	return self.artigos
end

function Edicao:addArtigo(codArtigo,artigo)
	self.artigos[codArtigo] = artigo
end

function Edicao:getDataPubl()
	return self.dataPubl
end

function Edicao:setDataPubl(s)
	self.dataPubl = s
end

