local Set = require("set")

Artigo = {}
Artigo.__index = Artigo

function Artigo.new(titulo)
	local artigo = {}

	setmetatable(artigo,Artigo)

	artigo.titulo = titulo
	artigo.autorias = Set.new()
	artigo.revisoes = Set.new()

	return artigo
end
--[[
Artigo.__lt = function (lhs, rhs)

	if lhs:getMediaArtigo() > rhs:getMediaArtigo() then
		return -1
	elseif lhs:getMediaArtigo() < rhs:getMediaArtigo() then
		return 1
	elseif lhs:getTitulo() < rhs:getTitulo() then
		return -1
	elseif lhs:getTitulo() > rhs:getTitulo() then
		return 1
	else
		return 0
	end

	if lhs:getMediaArtigo() < rhs:getMediaArtigo() then
		return true
	elseif lhs:getMediaArtigo() > rhs:getMediaArtigo() then
		return false
	else
		return lhs:getTitulo() < rhs:getTitulo()
	end
end
--]]

function Artigo:getTitulo()
	return self.titulo
end

function Artigo:addAutoria(a)
	self.autorias:insert(a)
end

function Artigo:getAutorias()
	return self.autorias
end

function Artigo:addRevisao(r)
	self.revisoes:insert(r)
end

function Artigo:getRevisoes()
	return self.revisoes
end

function Artigo:getMediaArtigo()
	local media = 0
	for k,v in pairs(self.revisoes) do
		media = media + v:getMediaNota()
	end
	return media/#self.revisoes
end



