require("Instituicao")

Colaborador = {}
Colaborador.__index = Colaborador

function Colaborador.new(nome, email, instituicao)
  local colaborador = {}             -- Novo objeto
  setmetatable(colaborador,Colaborador)   -- Fazer objeto pertencer à metatable Pessoa

  -- Variáveis da classe
  colaborador.nome = nome
  colaborador.email = email
  colaborador.instituicao = instituicao

 -- if getmetatable(colaborador.instituicao) ~= Instituicao then
  --  error("\nErro na criação de colaborador, sua Instituicao não é válida.\n")
  --end

  return colaborador
end

Colaborador.__lt = function (lhs, rhs)
	if lhs:getNome() < rhs:getNome() then
		return -1
	elseif lhs:getNome() > rhs:getNome() then
		return 1
	else
		return 0
	end
end

-- Retorna o nome da pessoa
function Colaborador:getNome()
	return self.nome
end

function Colaborador:setEndereco(endereco)
  self.endereco = endereco
end

-- Retorna a instituicao da pessoa
function Colaborador:getInstituicao()
	return self.instituicao
end

-- Retorna o email da pessoa
function Colaborador:getEmail()
	return self.email
end

function Colaborador:setEmail(email)
  self.email = email
end

function  Colaborador:setSenha(senha)
  self.senha = senha
end
