Revisao = {}
Revisao.__index = Revisao

function Revisao.new(artigo,revisor,notaOriginalidade,notaConteudo,notaApresentacao)
	local revisao = {}
	setmetatable(revisao,Revisao)

	revisao.artigo = artigo
	revisao.revisor = revisor
	revisao.notaOriginalidade = notaOriginalidade
	revisao.notaConteudo = notaConteudo
	revisao.notaApresentacao = notaApresentacao

	artigo:addRevisao(revisao)
	revisor:addRevisao(revisao)

	--return revisao
end

function Revisao:getRevisor()
	return self.revisor
end

function Revisao:getArtigo()
	-- body
	return self.artigo
end

function Revisao:getNotaOriginalidade()
	-- body
	return self.notaOriginalidade
end

function Revisao:getNotaConteudo()
	-- body
	return self.notaConteudo
end

function Revisao:getNotaApresentacao()
	-- body
	return self.notaApresentacao
end

function Revisao:getMediaNota()
	-- body
	return (self.notaOriginalidade + self.notaConteudo + self.notaApresentacao)/3
end
