require("Artigo")
require("Autoria")
require("Autor")
require("Capacitacao")
require("Colaborador")
require("Edicao")
require("Instituicao")
require("Revisao")
require("Revisor")
require("Revista")
require("Tema")
require("Leitor")
require("Escritor")

engesoft = Revista.new()
ed_Atual = Edicao.new()

for key,value in ipairs(arg) do
	if (value == "-e") then
		arq_ed = arg[key+1]
	elseif (value == "-t") then
		arq_tema = arg[key+1]
	elseif (value == "-p") then
		arq_pes = arg[key+1]
	elseif (value == "-a") then
		arq_art = arg[key+1]
	elseif (value == "-r") then
		arq_rev= arg[key+1]
	end
end

fileEdicao = io.open(arq_ed,"r")
if fileEdicao == nil then
	print("Erro de IO: File " .. arq_ed .. " not found")
	os.exit()
end

fileTemas = io.open(arq_tema,"r")
if fileTemas == nil then
	print("Erro de IO: File " .. arq_tema .. " not found")
	os.exit()
end

filePessoas = io.open(arq_pes,"r")
if filePessoas == nil then
	print("Erro de IO: File " .. arq_pes .. " not found")
	os.exit()
end

fileArtigos = io.open(arq_art,"r")
if fileArtigos == nil then
	print("Erro de IO: File " .. arq_art .. " not found")
	os.exit()
end

fileRevisoes = io.open(arq_rev,"r")
if fileRevisoes == nil then
	print("Erro de IO: File " .. arq_rev .. " not found")
	os.exit()
end

Leitor:cadastroDePessoas(filePessoas,engesoft)
Leitor:cadastroDeTemas(fileTemas,engesoft)
ed_Atual = Leitor:cadastroDeEdicao(fileEdicao,engesoft,ed_Atual)
Leitor:cadastroDeArtigos(fileArtigos,engesoft,ed_Atual)
Leitor:cadastroDeRevisoes(fileRevisoes,engesoft,ed_Atual)

fileEdicao:close()
fileTemas:close()
filePessoas:close()
fileArtigos:close()
fileRevisoes:close()

relatResumo = io.open("saidas/relat-resumo.txt","w")
relatRevisoes = io.open("saidas/relat-revisoes.csv","w")
relatRevisores = io.open("saidas/relat-revisores.csv","w")

print("Gerando arquivo relat-resumo.txt")
Escritor:geraResumo(relatResumo,engesoft,ed_Atual)
print("Gerando arquivo relat-revisoes.txt")
Escritor:relatorioRevisoes(relatRevisoes,engesoft,ed_Atual)
print("Gerando arquivo relat-revisores.txt")
Escritor:relatorioRevisores(relatRevisores,engesoft,ed_Atual)

